## tkcalendar 1.6.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = tkcalendar
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
tkcalendar (1.6.1-5) unstable; urgency=medium

  [ Nilesh Patra ]
  * Update patch for py 3.12 fix

  [ Bo YU ]
  * fix SyntaxWarning. (Closes: #1087112)
  * Update year of d/copyright
  * Bump std-ver to 4.7.0
  * Use dh-sequence-python3

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 17 Dec 2024 15:00:30 +0800

tkcalendar (1.6.1-4) unstable; urgency=medium

  * rename debian/patches/*
  * fix ftbfs on python3.12. (Closes: #1056534)
  * Set std-ver to 4.6.2.

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 12 Dec 2023 10:31:50 +0800

tkcalendar (1.6.1-3) unstable; urgency=medium

  * Team Upload.
  * Add d/salsa-ci.yml
  * Run autopkgtest with "-a" option with xvfb so the display
    port could be dymanically changed (Closes: #1025201)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 08 Dec 2022 17:28:24 +0530

tkcalendar (1.6.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 12 Nov 2022 14:18:26 -0500

tkcalendar (1.6.1-1) unstable; urgency=low

  * Initial release. Closes: #1021073

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 07 Nov 2022 12:52:58 -0500

=== debian/control ===
Source: tkcalendar
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bo YU <tsu.yubo@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-tk,
               python3-babel,
               python3-pynput,
               xvfb <!nocheck>,
               xauth <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/j4321/tkcalendar
Vcs-Git: https://salsa.debian.org/python-team/packages/tkcalendar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/tkcalendar
Rules-Requires-Root: no

Package: tkcalendar
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Calendar widget for Tkinter
 tkcalendar is a Python module that provides
 the Calendar and DateEntry widgets for Tkinter.
 .
 The DateEntry widget is similar to a Combobox,
 but the drop-down is not a list but a Calendar
 to select a date. Events can be displayed in the
 Calendar with custom colors and a tooltip displays
 the event list for a given day.
 .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	HOME=/tmp xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/j4321/tkcalendar.git \
refs/tags/v([\d\.]+)
